org.aspectj.internal.lang.reflect

## Class DeclareErrorOrWarningImpl

- java.lang.Object
- - org.aspectj.internal.lang.reflect.DeclareErrorOrWarningImpl

All Implemented Interfaces:
  DeclareErrorOrWarning

    public class DeclareErrorOrWarningImpl
    extends Object
    implements DeclareErrorOrWarning

Author:
  colyer

### Constructor Summary

Constructors
Constructor and Description
`DeclareErrorOrWarningImpl(String pointcut, String message, boolean isError, AjType decType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AjType` `getDeclaringType()`
`String` `getMessage()`
`PointcutExpression` `getPointcutExpression()`
`boolean` `isError()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeclareErrorOrWarningImpl

    public DeclareErrorOrWarningImpl(String pointcut,
                                     String message,
                                     boolean isError,
                                     AjType decType)

### Method Detail

#### getDeclaringType

    public AjType getDeclaringType()

Specified by:
  `getDeclaringType` in interface `DeclareErrorOrWarning`
Returns:
  the type that declared this declare warning or declare error member.

#### getPointcutExpression

    public PointcutExpression getPointcutExpression()

Specified by:
  `getPointcutExpression` in interface `DeclareErrorOrWarning`
Returns:
  the pointcut expression associated with the warning or error

#### getMessage

    public String getMessage()

Specified by:
  `getMessage` in interface `DeclareErrorOrWarning`
Returns:
  the message associated with the declare warning / declare error

#### isError

    public boolean isError()

Specified by:
  `isError` in interface `DeclareErrorOrWarning`
Returns:
  true if this is a declare error member, false if it is declare warning

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`